/* XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
   Abakus VCL, common timer demo
   =============================
   This project show's how to use our common Timer with the methods
        TAbFlashProc, AddProc, DelProc

   Note: you can add multiple "AbFlashProc" with individual times
   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "AbFlashT"        // Add flashtimer unit
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall YourFlashMethod(int WPar, int LPar)
/* XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
   method: typedef void __fastcall(*TAbFlashProc)(int WPar, int LPar);
   WPar: times our timer is called since start
   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
{
  if (Form1->CheckBox2->Checked == true)
    Form1->CheckBox2->Checked = false;
  else
    Form1->CheckBox2->Checked = true;;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::CheckBox1Click(TObject *Sender)
{
  if (CheckBox1->Checked == true)
    AddProc(YourFlashMethod,500);      /* <--- call "YourFlashMethod" all 500ms
     to change the Time youst call AddProc with the new time again
     - time-values < 50 are used internaly
     - for synchronized Flashing use const.
                        "Freq05Hz, Freq1Hz, Freq2Hz, Freq4Hz or Freq8Hz"
     */

  else
    DelProc(YourFlashMethod);          // <--- stop "YourFlashMethod" call's

}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormDestroy(TObject *Sender)
{
  DelProc(YourFlashMethod);           // <--- stop "YourFlashMethod" call's
}
//---------------------------------------------------------------------------

