//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "MainDemo_Unit.h"
#include "_Ab120Meter.h"
#include "_Ab180Meter.h"
#include "_Ab270Meter.h"
#include "_AbBar.h"
#include "_AbBevel.h"
#include "_AbClock.h"
#include "_AbCompass.h"
#include "_AbDial.h"
#include "_AbGearDial.h"
#include "_AbGradient.h"
#include "_AbHBar.h"
#include "_AbHMeter.h"
#include "_AbHSlider.h"
#include "_AbLED.h"
#include "_AbMiniTrend.h"
#include "_AbNumEdit.h"
#include "_AbNumSpin.h"
#include "_AbOperatingPoint.h"
#include "_AbPanel.h"
#include "_AbSpinBtn.h"
#include "_AbTank.h"
#include "_AbThermometer.h"
#include "_AbTimerSpeedBtn.h"
#include "_AbTrend.h"
#include "_AbPrintTrend.h"
#include "_AbValueInd.h"
#include "_AbVBar.h"
#include "_AbVCInd.h"
#include "_AbVMeter.h"
#include "_AbVSlider.h"
#include "AnalogIndEvents.h"
#include "_AbColBitBtn.h"
#include "_AbLabel.h"
#include "DialSliderEvents.h"
#include "_AbOpHourCounter.h"
#include "_AbRockerSwitch.h"
#include "_AbToggleSwitch.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "_GClass"
#pragma link "AbClock"
#pragma link "AbGradient"
#pragma resource "*.dfm"
TForm1 *Form1;
TForm *frm;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
void DemoLoop()
{
 try
 {
  frm->ShowModal();
 }
 __finally
 {
  frm->Free();
  frm = 0;
 }
}

//---------------------------------------------------------------------------
void __fastcall TForm1::ComponentBtnClick(TObject *Sender)
{
  AnsiString cName;
  if (dynamic_cast<TSpeedButton*> (Sender))
    cName = (dynamic_cast<TSpeedButton*> (Sender))->Hint;
  else
    if (dynamic_cast <TSpeedButton*> (Sender))
      cName = (dynamic_cast<TSpeedButton*> (Sender))->Hint;
    else
      return;

  // AbMisc - Tab
 if (cName == "TAbClock")
  frm = new TAbClockForm(Application);
 else if (cName == "TAbOpHourCounter")
  frm = new TAbOpHourCounterForm(Application);
 else if (cName == "TAbLabel")
  frm = new TAbLabelForm(Application);
 else if (cName == "TAbBevel")
  frm = new TAbBevelForm(Application);
 else if (cName == "TAbPanel")
  frm = new TAbPanelForm(Application);
 else if (cName == "TAbGradient")
  frm = new TAbGradientForm(Application);
 else if (cName == "TAbTimerSpeedBtn")
  frm = new TAbTimerSpeedBtnForm(Application);
 else if (cName == "TAbSpinButton")
  frm = new TAbSpinBtnForm(Application);
 else if (cName == "TAbNumEdit")
  frm = new TAbNumEditForm(Application);
 else if (cName == "TAbNumSpin")
  frm = new TAbNumSpinForm(Application);


 // AbAnalogInd - Tab
 else if (cName == "TAbValueInd")
  frm = new TAbValueIndForm(Application);
 else if (cName == "TAbBar")
  frm = new TAbBarForm(Application);
 else if (cName == "TAbVBar")
  frm = new TAbVBarForm(Application);
 else if (cName == "TAbHBar")
  frm = new TAbHBarForm(Application);
 else if (cName == "TAbTank")
  frm = new TAbTankForm(Application);
 else if (cName == "TAbThermometer")
  frm = new TAbThermometerForm(Application);
 else if (cName == "TAbVMeter")
  frm = new TAbVMeterForm(Application);
 else if (cName == "TAbHMeter")
  frm = new TAbHMeterForm(Application);
 else if (cName == "TAb120Meter")
  frm = new TAb120MeterForm(Application);
 else if (cName == "TAb180Meter")
  frm = new TAb180MeterForm(Application);
 else if (cName == "TAb270Meter")
  frm = new TAb270MeterForm(Application);
 else if (cName == "TAbCompass")
  frm = new TAbCompassForm(Application);
 else if (cName == "TAbVCInd")
  frm = new TAbVCIndForm(Application);
 else if (cName == "TAbOperatingPoint")
  frm = new TAbOperatingPointForm(Application);
 else if (cName == "TAbMiniTrend")
  frm = new TAbMiniTrendForm(Application);
 else if (cName == "TAbTrend")
  AbTrendForm->Show();
 else if (cName == "TAbPrintTrend")
  frm = new TAbPrintTrendForm(Application);

 // AbAnalogAdj - Tab
 else if (cName == "TAbDial")
  frm = new TAbDialForm(Application);
 else if (cName == "TAbGearDial")
  frm = new TAbGearDialForm(Application);
 else if (cName == "TAbHSlider")
  frm = new TAbHSliderForm(Application);
 else if (cName == "TAbVSlider")
  frm = new TAbVSliderForm(Application);

 // AbBinary - Tab
 else if (cName == "TAbLED")
  frm = new TAbLEDForm(Application);
 else if (cName == "TAbColBitBtn")
  frm = new TAbColBitBtnForm(Application);
 else if (cName == "TAbRockerSwich")
  frm = new TAbRockerSwitchForm(Application);
 else if (cName == "TAbToggleSwitch")
  frm = new TAbToggleSwitchForm(Application);

  if (frm == 0) return;
  frm->ShowHint = HintCheckBox->Checked;

  DemoLoop();
}

//---------------------------------------------------------------------------


void __fastcall TForm1::Analogindicators1Click(TObject *Sender)
{
  frm = new TAnalogIndEventsForm(Application);
  DemoLoop();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::DialSlider1Click(TObject *Sender)
{
  frm = new TDial_SilderEventsForm(Application);
  DemoLoop();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Label1Click(TObject *Sender)
{
  AnsiString MailStr;
  MailStr = "MailTo:"+Label1->Caption;
  ShellExecute(this->Handle,0,MailStr.c_str(),0,0,0);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Label2Click(TObject *Sender)
{
  AnsiString WebStr;
  if (dynamic_cast<TLabel*> (Sender))
    WebStr = (dynamic_cast<TLabel*> (Sender))->Caption;
  else
    return;
  ShellExecute(this->Handle,0,WebStr.c_str(),0,0,0);
}
//---------------------------------------------------------------------------

