unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  _GClass, AbClock, StdCtrls, AbBar, Buttons, ExtCtrls, AbVInd, AbVBar,
  AbHBar, AbTank, AbThMet, AbVMeter, AbHMeter, AbRMeter, AbCompas, AbOpPnt,
  AbMTrend, AbTrend, AbVSlide, AbHSlide, AbDial, AbSwitch,
  AbCBitBt, AbLED, AbOpHour, AbLabel, AbGearDial, AbVCInd, AbFlashT,
  ComCtrls;

type
  TForm1 = class(TForm)
    Tool_Panel: TPanel;
    VIndBtn: TSpeedButton;
    BarBtn: TSpeedButton;
    VBarBtn: TSpeedButton;
    HBarBtn: TSpeedButton;
    TankBtn: TSpeedButton;
    TempMeterBtn: TSpeedButton;
    VMeterBtn: TSpeedButton;
    HMeterBtn: TSpeedButton;
    r120MeterBtn: TSpeedButton;
    r180MeterBtn: TSpeedButton;
    r270MeterBtn: TSpeedButton;
    CompassBtn: TSpeedButton;
    OpPointBtn: TSpeedButton;
    MTrendBtn: TSpeedButton;
    TrendBtn: TSpeedButton;
    DialBtn: TSpeedButton;
    HSlideBtn: TSpeedButton;
    VSlideBtn: TSpeedButton;
    LEDBtn: TSpeedButton;
    GDialBtn: TSpeedButton;
    ColBitBtn: TSpeedButton;
    RockerSwitchBtn: TSpeedButton;
    tSwitchBtn: TSpeedButton;
    OpHCountBtn: TSpeedButton;
    LabelBtn: TSpeedButton;
    ClockBtn: TSpeedButton;
    DefaultBtn: TSpeedButton;
    Panel1: TPanel;
    DeleteAllBtn: TButton;
    ComponentPanel: TPanel;
    ScrollBar1: TScrollBar;
    Image1: TImage;
    BinStatus_CheckBox: TCheckBox;
    VCIndBtn: TSpeedButton;
    Label1: TLabel;
    ResetMinMax: TButton;
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure DeleteAllBtnClick(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure BinStatus_CheckBoxClick(Sender: TObject);
    procedure ResetMinMaxClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    procedure AdjusterValueChange(Sender: TObject);
    procedure BinStatusChange(Sender: TObject);
  end;

var
  Form1: TForm1;


implementation

{$R *.DFM}

procedure TForm1.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  clock : TAbClock;
  bar   : TAbBar;
  vind  : TAbValueInd;
  vbar  : TAbVBar;
  hbar  : TAbHBar;
  tank  : TAbTank;
  tempmeter : TAbThermometer;
  vmeter : TAbVMeter;
  hmeter : TAbHMeter;
  r120meter : TAb120Meter;
  r180meter : TAb180Meter;
  r270meter : TAb270Meter;
  compass   : TAbCompass;
  vcind     : TAbVCInd;
  oppoint   : TAbOperatingPoint;
  mtrend    : TAbMiniTrend;
  trend     : TAbTrend;
  gdial     : TAbGearDial;
  dial      : TAbDial;
  hslide    : TAbHSlider;
  vslide    : TAbVSlider;
  led       : TAbLED;
  cbitbtn   : TAbColBitBtn;
  rswitch   : TAbRockerSwitch;
  tswitch   : TAbToggleSwitch;
  ophcounter: TAbOpHourCounter;
  alabel    : TAbLabel;
begin
  if ClockBtn.Down then begin
    clock := TAbClock.Create(ComponentPanel);
    clock.Parent := ComponentPanel;
    clock.Left := x;
    Clock.Top := y;
    clock.Loaded;
  end else if VIndBtn.Down then begin
    vind  := TAbValueInd.Create(ComponentPanel);
    vind.Parent := ComponentPanel;
    vind.Left := x;
    vind.Top := y;
    vind.Loaded;
  end else if BarBtn.Down then begin
    bar := TAbBar.Create(ComponentPanel);
    bar.Parent := ComponentPanel;
    bar.Left := x;
    bar.Top := y;
    bar.Loaded;
  end else if VBarBtn.Down then begin
    vbar  := TAbVBar.Create(ComponentPanel);
    vbar.Parent := ComponentPanel;
    vbar.Left := x;
    vbar.Top := y;
    vbar.Loaded;
  end else if HBarBtn.Down then begin
    hbar  := TAbHBar.Create(ComponentPanel);
    hbar.Parent := ComponentPanel;
    hbar.Left := x;
    hbar.Top := y;
    hbar.Loaded;
  end else if TankBtn.Down then begin
    tank  := TAbTank.Create(ComponentPanel);
    tank.Parent := ComponentPanel;
    tank.Left := x;
    tank.Top := y;
    tank.Loaded;
  end else if TempMeterBtn.Down then begin
    tempmeter  := TAbThermometer.Create(ComponentPanel);
    tempmeter.Parent := ComponentPanel;
    tempmeter.Left := x;
    tempmeter.Top := y;
    tempmeter.Loaded;
  end else if VMeterBtn.Down then begin
    vmeter  := TAbVMeter.Create(ComponentPanel);
    vmeter.Parent := ComponentPanel;
    vmeter.Left := x;
    vmeter.Top := y;
    vmeter.Loaded;
  end else if HMeterBtn.Down then begin
    hmeter  := TAbHMeter.Create(ComponentPanel);
    hmeter.Parent := ComponentPanel;
    hmeter.Left := x;
    hmeter.Top := y;
    hmeter.Loaded;
  end else if r120MeterBtn.Down then begin
    r120meter  := TAb120Meter.Create(ComponentPanel);
    r120meter.Parent := ComponentPanel;
    r120meter.Left := x;
    r120meter.Top := y;
    r120meter.Loaded;
  end else if r180MeterBtn.Down then begin
    r180meter  := TAb180Meter.Create(ComponentPanel);
    r180meter.Parent := ComponentPanel;
    r180meter.Left := x;
    r180meter.Top := y;
    r180meter.Loaded;
  end else if r270meterBtn.Down then begin
    r270meter  := TAb270Meter.Create(ComponentPanel);
    r270meter.Parent := ComponentPanel;
    r270meter.Left := x;
    r270meter.Top := y;
    r270meter.Loaded;
  end else if compassBtn.Down then begin
    compass  := TAbCompass.Create(ComponentPanel);
    compass.Parent := ComponentPanel;
    compass.Left := x;
    compass.Top := y;
    compass.Loaded;
  end else if VCIndBtn.Down then begin
    vcind  := TAbVCInd.Create(ComponentPanel);
    vcind.Parent := ComponentPanel;
    vcind.Left := x;
    vcind.Top := y;
    vcind.Loaded;
  end else if OpPointBtn.Down then begin
    oppoint  := TAbOperatingPoint.Create(ComponentPanel);
    oppoint.Parent := ComponentPanel;
    oppoint.CharacteristicBMP := Image1.Picture.Bitmap;
    oppoint.IndRect.SetxyRect(Rect(35,21,335,346));
    oppoint.Interval := 200;
    oppoint.Left := x;
    oppoint.Top := y;
    oppoint.Loaded;
  end else if MTrendBtn.Down then begin
    mtrend  := TAbMiniTrend.Create(ComponentPanel);
    mtrend.Parent := ComponentPanel;
    mtrend.Left := x;
    mtrend.Top := y;
    mtrend.Loaded;
  end else if TrendBtn.Down then begin
    trend  := TAbTrend.Create(ComponentPanel);
    trend.Parent := ComponentPanel;
    trend.Left := x;
    trend.Top := y;
    trend.Options := trend.Options - [opCursorOnRec];
    trend.Interval := 100;
    trend.Loaded;
    trend.StartRecording := true;
  end else if GDialBtn.Down then begin
    gdial  := TAbGearDial.Create(ComponentPanel);
    gdial.Parent := ComponentPanel;
    gdial.Left := x;
    gdial.Top  := y;
    gdial.Loaded;
    gdial.OnValueChange := AdjusterValueChange;
  end else if DialBtn.Down then begin
    dial  := TAbDial.Create(ComponentPanel);
    dial.Parent := ComponentPanel;
    dial.Left := x;
    dial.Top  := y;
    dial.Loaded;
    dial.OnValueChange := AdjusterValueChange;
  end else if HSlideBtn.Down then begin
    hslide  := TAbHSlider.Create(ComponentPanel);
    hslide.Parent := ComponentPanel;
    hslide.Left := x;
    hslide.Top  := y;
    hslide.Loaded;
    hslide.OnValueChange := AdjusterValueChange;
  end else if VSlideBtn.Down then begin
    vslide  := TAbVSlider.Create(ComponentPanel);
    vslide.Parent := ComponentPanel;
    vslide.Left := x;
    vslide.Top  := y;
    vslide.Loaded;
    vslide.OnValueChange := AdjusterValueChange;
  end else if LEDBtn.Down then begin
    led  := TAbLED.Create(ComponentPanel);
    led.Parent := ComponentPanel;
    led.Caption := 'LED';
    led.Left := x;
    led.Top := y;
    led.OnStatusChanged := BinStatusChange;
    //led.Loaded;
  end else if ColBitBtn.Down then begin
    cbitbtn  := TAbColBitBtn.Create(ComponentPanel);
    cbitbtn.Parent := ComponentPanel;
    cbitbtn.Left := x;
    cbitbtn.Top := y;
    cbitbtn.Loaded;
    cbitbtn.OnStatusChanged := BinStatusChange;
  end else if RockerSwitchBtn.Down then begin
    rswitch  := TAbRockerSwitch.Create(ComponentPanel);
    rswitch.Parent := ComponentPanel;
    rswitch.Left := x;
    rswitch.Top := y;
    rswitch.Loaded;
    rswitch.OnStatusChanged := BinStatusChange;
  end else if tSwitchBtn.Down then begin
    tswitch  := TAbToggleSwitch.Create(ComponentPanel);
    tswitch.Parent := ComponentPanel;
    tswitch.Left := x;
    tswitch.Top := y;
    tswitch.Loaded;
    tswitch.OnStatusChanged := BinStatusChange;
  end else if OpHCountBtn.Down then begin
    ophcounter  := TAbOpHourCounter.Create(ComponentPanel);
    ophcounter.Parent := ComponentPanel;
    ophcounter.Left := x;
    ophcounter.Top := y;
    ophcounter.Loaded;
    ophcounter.Count := true;
  end else if LabelBtn.Down then begin
    alabel  := TAbLabel.Create(ComponentPanel);
    alabel.Parent := ComponentPanel;
    alabel.Left := x;
    alabel.Top := y;
    alabel.DigitText := '0..99;100..199;200..299;300..399;400..499;500..599;600..699;700..799;800..899;900..999';
    alabel.DefaultText := 'max.';
  end;
  DefaultBtn.Down := true;

end;

procedure TForm1.DeleteAllBtnClick(Sender: TObject);
var
  n : Integer;
begin
  for n := ComponentPanel.ComponentCount - 1 DownTo 0 do begin
    ComponentPanel.Components[n].Free;
  end;
end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
var
  n, nn : Integer;
  cmp : TComponent;
begin
  for n := ComponentPanel.ComponentCount - 1 DownTo 0 do begin
    cmp := ComponentPanel.Components[n];
    if (cmp is TAbOperatingPoint) then begin
      Randomize;
      (cmp as TAbOperatingPoint).ValueX := ScrollBar1.Position/10;
      (cmp as TAbOperatingPoint).ValueY := 40 + ScrollBar1.Position/17 + Random(5) ;
    end else if (cmp is TAbMiniTrend) then begin
      (cmp as TAbMiniTrend).DigitCh1 := ScrollBar1.Position;
      (cmp as TAbMiniTrend).DigitCh2 := 1000-ScrollBar1.Position;
    end else if (cmp is TAbTrend) then begin
      for nn := 1 to 8 do
        (cmp as TAbTrend).FChannel[nn].Digit := ScrollBar1.Position div nn;
    end else if (cmp is TAbLabel) then begin
      (cmp as TAbLabel).Digit := ScrollBar1.Position div 100;
    end else if (cmp is TAbAnalogCControl) then begin
      (cmp as TAbAnalogCControl).Digit := ScrollBar1.Position
    end else if (cmp is TAbVCInd) then begin
      (cmp as TAbVCInd).Course := ScrollBar1.Position * 0.36;
      (cmp as TAbVCInd).CourseShould := -ScrollBar1.Position * 0.36;
      (cmp as TAbVCInd).Pitch := (ScrollBar1.Position-500) * 0.36;
      (cmp as TAbVCInd).Roll := (ScrollBar1.Position-500) * 0.09;
    end else if (cmp is TAbAnalogGControl) then
      (cmp as TAbAnalogGControl).Digit := ScrollBar1.Position;
  end;
end;

procedure TForm1.AdjusterValueChange(Sender: TObject);
begin
  if (Sender is TAbAnalogCControl) then
     ScrollBar1.Position := (Sender as TAbAnalogCControl).Digit;
end;

procedure TForm1.BinStatus_CheckBoxClick(Sender: TObject);
var
  n : Integer;
  cmp : TComponent;
begin
  for n := ComponentPanel.ComponentCount - 1 DownTo 0 do begin
    cmp := ComponentPanel.Components[n];
    if (cmp is TAbBinGControl) then begin
       (cmp as TAbBinGControl).Checked := BinStatus_CheckBox.Checked;
    end else if (cmp is TAbAnalogGControl) then begin
       (cmp as TAbAnalogGControl).MinMax.MinVisible := BinStatus_CheckBox.Checked;
    end;

  end;
end;

procedure TForm1.BinStatusChange(Sender: TObject);
begin
  if (Sender is TAbBinGControl) then
     BinStatus_CheckBox.Checked := (Sender as TAbBinGControl).Checked;
end;

procedure TForm1.ResetMinMaxClick(Sender: TObject);
var
  n : Integer;
  cmp : TComponent;
begin
  for n := ComponentPanel.ComponentCount - 1 DownTo 0 do begin
    cmp := ComponentPanel.Components[n];
    if (cmp is TAbAnalogGControl) then begin
       (cmp as TAbAnalogGControl).ResetMinMax;
    end;
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DeleteAllBtnClick(self);
end;

end.
